Kling 视频 API
通过https://api.omniall.ai 调用 Kling,协议兼容 OpenAI Video。
生成别名(大小写不敏感):
kling-1.0、kling-1.5、kling-2.0、kling-2.1、kling-2.5、kling-3.0、kling-3.0-omni、kling-o1。见模型广场。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
通过 Omniall AI 调用 Kling 系列视频(OpenAI 风格异步任务)。
https://api.omniall.ai 调用 Kling,协议兼容 OpenAI Video。
| 说明 | 方法 | 路径 |
|---|---|---|
| 创建 | POST | /v1/videos |
| 状态 | GET | /v1/videos/{task_id} |
| 内容 | GET | /v1/videos/{task_id}/content |
kling-1.0、kling-1.5、kling-2.0、kling-2.1、kling-2.5、kling-3.0、kling-3.0-omni、kling-o1。见模型广场。
curl -X POST "https://api.omniall.ai/v1/videos" \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "kling-2.5",
"prompt": "一只猫在钢琴上打盹",
"seconds": "5",
"metadata": {
"output_config": {
"resolution": "720P",
"aspect_ratio": "16:9",
"audio_generation": "Disabled"
}
}
}'